BSON_ITER_REGEX(3)

SYNOPSIS

            const char *
            bson_iter_regex (const bson_iter_t *iter, const char **options);

PARAMETERS

    •   iter: A bson_iter_t.

    •   options: A (null).

DESCRIPTION

The bson_iter_regex() function shall retrieve the contents of a BSON_TYPE_REGEX element currently observed by iter.

It is invalid to call this function when not observing an element of type BSON_TYPE_REGEX.

RETURNS

A string containing the regex which should not be modified or freed. options is set to the options provided for the regex.

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.